org.apache.felix.http.jetty.internal.webapp

## Class WebAppBundleTracker.Deployment

- java.lang.Object
- - org.apache.felix.http.jetty.internal.webapp.WebAppBundleTracker.Deployment

Enclosing class:
  WebAppBundleTracker

    public static class WebAppBundleTracker.Deployment
    extends Object

A deployment represents a web application bundle that may or may not be deployed.

### Constructor Summary

Constructors
Constructor and Description
`Deployment(String contextPath, org.osgi.framework.Bundle bundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.Bundle` `getBundle()`
`WebAppBundleContext` `getContext()`
`String` `getContextPath()`
`org.osgi.framework.ServiceRegistration<javax.servlet.ServletContext>` `getRegistration()`
`void` `setContext(WebAppBundleContext context)`
`void` `setRegistration(org.osgi.framework.ServiceRegistration<javax.servlet.ServletContext> registration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Deployment

    public Deployment(String contextPath,
                      org.osgi.framework.Bundle bundle)

### Method Detail

#### getBundle

    public org.osgi.framework.Bundle getBundle()

#### getContextPath

    public String getContextPath()

#### getContext

    public WebAppBundleContext getContext()

#### setContext

    public void setContext(WebAppBundleContext context)

#### getRegistration

    public org.osgi.framework.ServiceRegistration<javax.servlet.ServletContext> getRegistration()

#### setRegistration

    public void setRegistration(org.osgi.framework.ServiceRegistration<javax.servlet.ServletContext> registration)